cascading.flow.tez.planner

## Class Hadoop2TezPlanner.IntermediateBoundaryElementFactory

- java.lang.Object
- - cascading.flow.planner.rule.transformer.BoundaryElementFactory
  - - cascading.flow.tez.planner.Hadoop2TezPlanner.IntermediateBoundaryElementFactory

- All Implemented Interfaces:
    cascading.flow.planner.iso.transformer.ElementFactory
  Enclosing class:
    Hadoop2TezPlanner

      public class Hadoop2TezPlanner.IntermediateBoundaryElementFactory
      extends cascading.flow.planner.rule.transformer.BoundaryElementFactory

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.rule.transformer.BoundaryElementFactory

      `BOUNDARY_PIPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntermediateBoundaryElementFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `cascading.flow.FlowElement` | `create(cascading.flow.planner.graph.ElementGraph graph, cascading.flow.FlowElement flowElement)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntermediateBoundaryElementFactory

          public IntermediateBoundaryElementFactory()

  - ### Method Detail

    - #### create

          public cascading.flow.FlowElement create(cascading.flow.planner.graph.ElementGraph graph,
                                                   cascading.flow.FlowElement flowElement)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.